# Class `wibox.widget.systray`

### Info:

- Copyright: 2010 Uli Schlachter
- Author: Uli Schlachter

## Functions

wibox.widget.systray (revers) | Create the systray widget.

## Theme variables

beautiful.bg_systray | The systray background color.
beautiful.systray_icon_spacing | The systray icon spacing.

## Methods

wibox.widget.systray:set_base_size (size) | Set the size of a single icon.
wibox.widget.systray:set_horizontal (horiz) | Decide between horizontal or vertical display.
wibox.widget.systray:set_reverse (rev) | Should the systray icons be displayed in reverse order?
wibox.widget.systray:set_screen (s) | Set the screen that the systray should be displayed on.

## Functions

Methods

wibox.widget.systray (revers)
  Create the systray widget. Note that this widget can only exist once.
  - revers boolean Show in the opposite direction

  ### Returns:

  table The new systray widget

## Theme variables

beautiful.bg_systray
  The systray background color.

  ### Type:

  - string The color (string like "#ff0000" only)
beautiful.systray_icon_spacing
  The systray icon spacing.

  ### Type:

  - The integer icon spacing (default 0)

## Methods

wibox.widget.systray:set_base_size (size)
  Set the size of a single icon. If this is set to nil, then the size is picked dynamically based on the available space. Otherwise, any single icon has a size of `size`x`size`.
  - size integer or nil The base size
wibox.widget.systray:set_horizontal (horiz)
  Decide between horizontal or vertical display.
  - horiz boolean Use horizontal mode?
wibox.widget.systray:set_reverse (rev)
  Should the systray icons be displayed in reverse order?
  - rev boolean Display in reverse order
wibox.widget.systray:set_screen (s)
  Set the screen that the systray should be displayed on. This can either be a screen, in which case the systray will be displayed on exactly that screen, or the string `"primary"`, in which case it will be visible on the primary screen. The default value is "primary".
  - s screen or "primary" The screen to display on.

generated by LDoc 1.4.6 Last updated 2017-01-20 01:17:18